apiVersion: workspace.devfile.io/v1alpha2
kind: DevWorkspaceTemplate
metadata:
  creationTimestamp: '2023-12-08T15:34:18Z'
  generation: 1
  managedFields:
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:ownerReferences':
            .: {}
            'k:{"uid":"0b1cdd58-212c-4b16-9553-b8595a850ee5"}': {}
        'f:spec':
          .: {}
          'f:commands': {}
          'f:components': {}
          'f:events':
            .: {}
            'f:postStart': {}
            'f:preStart': {}
      manager: unknown
      operation: Update
      time: '2023-12-08T15:34:18Z'
  name: che-code-java-lombok-rjib
  namespace: admin-devspaces
  ownerReferences:
    - apiVersion: workspace.devfile.io/v1alpha2
      kind: devworkspace
      name: java-lombok-rjib
      uid: 0b1cdd58-212c-4b16-9553-b8595a850ee5
  resourceVersion: '25822183'
  uid: 305dda8a-7474-4180-ab33-3b561b8bc62f
spec:
  commands:
    - apply:
        component: che-code-injector
      id: init-container-command
    - exec:
        commandLine: >-
          nohup /checode/entrypoint-volume.sh > /checode/entrypoint-logs.txt
          2>&1 &
        component: che-code-runtime-description
      id: init-che-code-command
  components:
    - attributes:
        app.kubernetes.io/component: che-code-runtime
        app.kubernetes.io/part-of: che-code.eclipse.org
        controller.devfile.io/container-contribution: true
      container:
        cpuRequest: 30m
        env:
          - name: CHE_DASHBOARD_URL
            value: 'https://devspaces.apps.ocp414.crw-qe.com'
          - name: CHE_PLUGIN_REGISTRY_URL
            value: 'https://devspaces.apps.ocp414.crw-qe.com/plugin-registry/v3'
          - name: CHE_PLUGIN_REGISTRY_INTERNAL_URL
            value: 'http://plugin-registry.openshift-devspaces.svc:8080/v3'
          - name: CLUSTER_CONSOLE_URL
            value: 'https://console-openshift-console.apps.ocp414.crw-qe.com'
          - name: CLUSTER_CONSOLE_TITLE
            value: OpenShift console
          - name: OPENVSX_REGISTRY_URL
            value: ''
        memoryRequest: 256Mi
        sourceMapping: /projects
        cpuLimit: 500m
        volumeMounts:
          - name: checode
            path: /checode
        memoryLimit: 1024Mi
        image: >-
          registry.redhat.io/devspaces/udi-rhel8@sha256:bb951a5040851e9f17ca0d21771b428296326753363fd4d2b87ab1f7d35e72b3
        endpoints:
          - attributes:
              cookiesAuthEnabled: true
              discoverable: false
              type: main
              urlRewriteSupported: true
            exposure: public
            name: che-code
            protocol: https
            secure: false
            targetPort: 3100
          - attributes:
              discoverable: false
              urlRewriteSupported: false
            exposure: public
            name: code-redirect-1
            protocol: https
            targetPort: 13131
          - attributes:
              discoverable: false
              urlRewriteSupported: false
            exposure: public
            name: code-redirect-2
            protocol: https
            targetPort: 13132
          - attributes:
              discoverable: false
              urlRewriteSupported: false
            exposure: public
            name: code-redirect-3
            protocol: https
            targetPort: 13133
      name: che-code-runtime-description
    - name: checode
      volume: {}
    - container:
        cpuRequest: 30m
        command:
          - /entrypoint-init-container.sh
        env:
          - name: CHE_DASHBOARD_URL
            value: 'https://devspaces.apps.ocp414.crw-qe.com'
          - name: CHE_PLUGIN_REGISTRY_URL
            value: 'https://devspaces.apps.ocp414.crw-qe.com/plugin-registry/v3'
          - name: CHE_PLUGIN_REGISTRY_INTERNAL_URL
            value: 'http://plugin-registry.openshift-devspaces.svc:8080/v3'
          - name: CLUSTER_CONSOLE_URL
            value: 'https://console-openshift-console.apps.ocp414.crw-qe.com'
          - name: CLUSTER_CONSOLE_TITLE
            value: OpenShift console
          - name: OPENVSX_REGISTRY_URL
            value: ''
        memoryRequest: 32Mi
        sourceMapping: /projects
        cpuLimit: 500m
        volumeMounts:
          - name: checode
            path: /checode
        memoryLimit: 256Mi
        image: >-
          registry.redhat.io/devspaces/code-rhel8@sha256:2ce9d9134addd68611f9bc6504f52e2680e76ca282f5b163d441e50b5a2eebe8
      name: che-code-injector
  events:
    postStart:
      - init-che-code-command
    preStart:
      - init-container-command
